<script>
  import { each } from "svelte/internal";

  // Properties

  // export let data = [];
  export let current_year = 0;
  export let current_continent = "all";
  let button_name = "Start";
  const continents = ["europe", "asia", "americas", "africa"];

  let interval_year;
  let start_flag = false;
  function start(){
    
    
    if(start_flag){
      clearInterval(interval_year);
      button_name = "Start";
      start_flag = false;
    }else{
      interval_year = setInterval(function () {current_year += 1}, 50);
      button_name = "Stop";
      start_flag = true;
    }
  }

  function reset(){
    current_year = 0;
    clearInterval(interval_year);
    start_flag = false;
    button_name = "Start";
  }

  $: if(current_year==214){
    if (start_flag == true){
      current_year = 0;
    }
  }

</script>

<div class="row">
  <!--  -->
  <div class="col-4">
    <button type="button" class="btn btn-primary" on:click={start}>{button_name}</button>
    <button type="button" class="btn btn-primary" on:click={reset}>Reset</button>
  </div>
  <div class="col-5">
    <label>
      Year: {current_year + 1800}
      <input type="range" class="form-range" min="0" max="214" step="1" bind:value={current_year}>
    </label>
  </div>
  <div class="col-3">
    <select bind:value={current_continent}>
      <option value="all">all</option>
      {#each continents as continent}
        <option value="{continent}">{continent}</option>
      {/each}
    </select>
  </div>
</div>
